package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 请假类别表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("leave_category")
public class LeaveCategory extends Model<LeaveCategory> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Integer id;
    /**
     * 类型名称
     */
    @TableField("name_")
    private String name;
    @TableField("del_flag_")
    private String delFlag;
    /**
     * 备注
     */
    @TableField("remark_")
    private String remark;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public LeaveCategory setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public LeaveCategory setName(String name) {
        this.name = name;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public LeaveCategory setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public LeaveCategory setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public LeaveCategory setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public LeaveCategory setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "LeaveCategory{" +
        ", id=" + id +
        ", name=" + name +
        ", delFlag=" + delFlag +
        ", remark=" + remark +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
